import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color kGray2: Qt.rgba(246/255, 246/255, 246/255, 1)
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color buttonDisable: kGray4
    property color kGrayAlpha1: Qt.rgba(0/255, 0/255, 0/255, 0.05)
    property var ksuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color placeholderTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.5)
    property color kBrand6: Qt.rgba(223/255, 49/255, 55/255, 1)
    property color windowTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.65)
    property color highlightActive: KBrandNormal
    property color buttonTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kGray9: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color tooltipTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property var kbrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGray1: Qt.rgba(250/255, 250/255, 250/255, 1)
    property color midlightDisable: kGray6
    property color kContainGeneralAlphaHover: KComponetHover
    property color highlightedTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color tokenColor: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color kGrayAlpha7: Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property var kwarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property var kcomponentClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kContainGeneralNormal: kGray0
    property var kbrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color tokenColor1: Qt.rgba(246/255, 246/255, 246/255, 0.65)
    property color midDisable: kGray14
    property color noroleDisable: kGray5
    property color kGrayAlpha8: Qt.rgba(0/255, 0/255, 0/255, 0.28)
    property color windowTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color kGray10: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color shadowDisable: KGayAlpha7
    property color kGrayAlpha2: Qt.rgba(0/255, 0/255, 0/255, 0.08)
    property color textActive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property var kcontainClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kFontWhiteSecondaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kGrayAlpha0: Qt.rgba(0/255, 0/255, 0/255, 0)
    property color highlightDisable: kGray4
    property color kGrayAlpha5: Qt.rgba(0/255, 0/255, 0/255, 0.18)
    property color brightTextActive: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kLineComponentDisable: kGrayAlpha3
    property color kComponentAlphaNormal: kGrayAlpha12
    property color highlightedTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kBrand7: Qt.rgba(241/255, 133/255, 43/255, 1)
    property var ksuccessNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color linkvisitedDisable: kGray11
    property color kContainGeneralAlphaClick: KContainClick
    property color midlightInactive: kGray7
    property color brightTextDisable: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color noroleActive: kGray1
    property var klineComponentHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.4)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.4)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color alternatebaseInactive: kGray3
    property color windowInactive: kGray3
    property color kComponentNormal: kGray1
    property color tooltipbaseInactive: kGray0
    property color noroleInactive: kGray1
    property color lightInactive: KWihte
    property var klineBrandNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.2)
    }
    property color kGrayAlpha4: Qt.rgba(0/255, 0/255, 0/255, 0.15)
    property color windowActive: kGray2
    property var klineBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.2)
    }
    property color kGray6: Qt.rgba(230/255, 230/255, 230/255, 1)
    property color kLineComponentNormal: kGrayAlpha7
    property color kBrand2: Qt.rgba(114/255, 46/255, 209/255, 1)
    property var linkvisitedInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color midInactive: kGray13
    property color kGray13: Qt.rgba(115/255, 115/255, 115/255, 1)
    property var kerrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color darkActive: KBlack
    property color kLineDisable: kGrayAlpha1
    property color kGrayAlpha11: Qt.rgba(0/255, 0/255, 0/255, 0.55)
    property color buttontextActive: KFontPrimary
    property color alternatebaseDisable: kGray3
    property color shadowInactive: KGayAlpha7
    property var kbrandFocus : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientBackground : Qt.rgba(0/255, 0/255, 0/255, 0.3)
    }
    property color kGray11: Qt.rgba(175/255, 175/255, 175/255, 1)
    property color tooltipTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property var kcontainHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color brightTextInactive: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color placeholderTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.5)
    property color linkDisable: kGray11
    property color kLineNormal: kGrayAlpha3
    property color kcomponetDisable: kGray4
    property color kGray17: Qt.rgba(38/255, 38/255, 38/255, 1)
    property color kGray5: Qt.rgba(235/255, 235/255, 235/255, 1)
    property var ksuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color linkInactive: KBrand1
    property color kGrayAlpha9: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kFontWhite: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color kGrayAlpha13: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color windowTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kLineBrandDisable: kGrayAlpha3
    property color darkInactive: KBlack
    property color linkActive: KBrand1
    property color kLineWindowActive: KBrandFocus
    property color kGray16: Qt.rgba(64/255, 64/255, 64/255, 1)
    property color kGrayAlpha6: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color tooltipbaseDisable: kGray0
    property color kBrand3: Qt.rgba(235/255, 48/255, 150/255, 1)
    property var linkvisitedActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGrayAlpha3: Qt.rgba(0/255, 0/255, 0/255, 0.1)
    property color lightActive: KWihte
    property color darkDisable: kGray16
    property color kGray8: Qt.rgba(210/255, 210/255, 210/255, 1)
    property color kComponentAlphaDisable: kGrayAlpha2
    property color kComponentAlphaHover: KContainHover
    property color textDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGray3: Qt.rgba(242/255, 242/255, 242/255, 1)
    property color kGray0: Qt.rgba(255/255, 255/255, 255/255, 1)
    property var kerrorNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kBrand5: Qt.rgba(0/255, 129/255, 31/255, 1)
    property color midlightActive: kGray7
    property color textInactive: Qt.rgba(0/255, 0/255, 0/255, 0.65)
    property color kGray14: Qt.rgba(102/255, 102/255, 102/255, 1)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kLineWindowInacitive: kGrayAlpha3
    property color tooltipTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color highlightInactive: KBrandNormal
    property color lightDisable: kGray1
    property var kwarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.6)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kFontSecondaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kFontWhiteDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color baseInactive: kGray1
    property color kFontSecondary: Qt.rgba(0/255, 0/255, 0/255, 0.65)
    property color buttonActive: kGray1
    property color windowDisable: kGray4
    property color placeholderTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.5)
    property color kcomponetAlphaClick: KComponetClick
    property color kGray12: Qt.rgba(165/255, 165/255, 165/255, 1)
    property color midActive: kGray13
    property color kdivider: kGrayAlpha3
    property color kfontStrong: KBlack
    property color kGray7: Qt.rgba(220/255, 220/255, 220/255, 1)
    property color shadowActive: KGayAlpha13
    property color baseDisable: kGray4
    property color buttonInactive: kGray1
    property var kcomponentHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property var klineBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.4)
    }
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color alternatebaseActive: kGray3
    property var kerrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.82)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kGray4: Qt.rgba(238/255, 238/255, 238/255, 1)
    property color kGray15: Qt.rgba(77/255, 77/255, 77/255, 1)
    property color buttonTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property var kbrandNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property var klineComponentClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGrayAlpha12: Qt.rgba(0/255, 0/255, 0/255, 0.03)
    property color baseActive: kGray0
    property color kBrand4: Qt.rgba(240/255, 188/255, 54/255, 1)
    property color kFontWhiteSecondary: Qt.rgba(0/255, 0/255, 0/255, 0.65)
    property color kFontPrimary: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color highlightedTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color tooltipbaseActive: kGray0
    property color kContainSecondaryNormal: kGray2
    property var kwarningNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.7)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kFontPrimaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kGrayAlpha10: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property int tokenFontsize14: 14
    property int tokenFontsize24: 24
    property int tokenFontsize16: 16
    property int tokenFontsize18: 18
    property int tokenFontsize12: 12
    property int focusLine: 2
    property int normalLine: 1
    property int tokenGap4: 4
    property int tokenGap16: 16
    property int tokenGap40: 40
    property int tokenGap8: 8
    property int tokenGap24: 24
    property int kRadiusNormal: 0
    property int kRadiusMin: 0
    property int kRadiusWindow: 0
    property int kRadiusMenu: 0
}
